# NOTE: Derived from blib/lib/Puppet/VcsTools/History.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Puppet::VcsTools::History;

#line 315 "blib/lib/Puppet/VcsTools/History.pm (autosplit into blib/lib/auto/Puppet/VcsTools/History/createVersionObj.al)"
#internal do not call from outside because there's no sanity checks
sub createVersionObj
  {
    my $self = shift ;
    my $rev = shift ;

    $self->{body}->printDebug("Creating puppet version object for rev $rev\n");
    
    my @store = defined $self->{storageArgs} ? 
      (storageArgs => $self->{storageArgs}) :
      (storage => $self->{storage} -> child(name => $rev)) ;

    return new Puppet::VcsTools::Version  
      (
       name => $rev,
       title => "$self->{name} v$rev",
       topTk => $self->{topTk},
       dataFormat => $self->{dataScanner}->getDescription,
       usage => $self->{usage},
       # this closure could be improved for performance with a cache
       # but the cleanup of cached versions object can be a problem
       getBrotherSub => sub{$self->getVersionObj(@_);},
       @store,
       revision => $rev
      ) ;
  }

# end of Puppet::VcsTools::History::createVersionObj
1;
